
nv-cli-gir-leaf0
==========
- cli-tool
- for creat l0 built-in api name compatible-with nvlang
- normally USELESS

install
=======
- npm install nv-cli-gir-leaf0 -g

usage
=====

        Usage: nv_cli_gir_leaf0 [options] 
        Options:
            -s, --slct        select and generate code
            -l, --list        list all l0 gir names
            -m, --mirr        name map mirror
            -h, --help        usage

example
========

### select some

            nv-cli-gir-leaf0# node cli.js -s int
            const _G = globalThis;
                  _G._clr_intvl = clearInterval;
                  _G._set_intvl = setInterval;
            nv-cli-gir-leaf0# 

            nv-cli-gir-leaf0# nv_cli_gir_leaf0 -s un D
            const _G = globalThis;
                  _G._un         = undefined;
                  _G._html_unesc = unescape;
                  _G._DT         = Date;
                  _G._DV         = DataView;
                  _G._TXTENCD    = TextEncoder;
                  _G._TXTDECD    = TextDecoder;
            nv-cli-gir-leaf0# 
            nv-cli-gir-leaf0# nv_cli_gir_leaf0 -s un de
            const _G = globalThis;
                  _G._un           = undefined;
                  _G._html_unesc   = unescape;
                  _G._decd_url     = decodeURI;
                  _G._decd_url_com = decodeURIComponent;
            nv-cli-gir-leaf0# 
            nv-cli-gir-leaf0# nv_cli_gir_leaf0 -s f
            const _G = globalThis;
                  _G._f       = false;
                  _G._infi    = Infinity;
                  _G._is_fin  = isFinite;
                  _G._parse_f = parseFloat;
                  _G._fs      = require("fs");
                  _G._buf     = require("buffer");
            nv-cli-gir-leaf0# 	


### list all names

        nv-cli-gir-leaf0# nv_cli_gir_leaf0 -l
        _un
        _nu
        _t
        _f
        _B
        _N
        _S
        _BI
        _Y
        _A
        _F
        _P
        _X
        _J
        _O
        _R
        _MP
        _ST
        _WMP
        _WST
        _WREF
        _RE
        _DT
        _AB
        _BUF
        _U8A
        _U8CA
        _U16A
        _U32A
        _I8A
        _I16A
        _I32A
        _F32A
        _F64A
        _BU64A
        _BI64A
        _DV
        _EV
        _EVT
        _URL
        _URLSRCHP
        _decd_url
        _decd_url_com
        _encd_url
        _encd_url_com
        _ATOM
        _ER
        _AGGER
        _EVLER
        _REFER
        _RNGER
        _STXER
        _TYPER
        _URIER
        _FREG
        _ABRT_CTRL
        _ABRT_SIG
        _MSG_CHAN
        _MSG_PORT
        _MSGEV
        _TXTENCD
        _TXTDECD
        _WASM
        _MATH
        _infi
        _nan
        _is_fin
        _is_nan
        _parse_f
        _parse_i
        _INTL
        _PERF
        _cnsl
        _cryp
        _html_esc
        _html_unesc
        _clr_intvl
        _set_intvl
        _clr_tmout
        _set_tmout
        _q_micro_tsk
        _fs
        _path
        _buf


### names mirror

        {
          _un: 'undefined',
          undefined: '_un',
          _nu: 'null',
          null: '_nu',
          _t: 'true',
          true: '_t',
          _f: 'false',
          false: '_f',
          _B: 'Boolean',
          Boolean: '_B',
          _N: 'Number',
          Number: '_N',
          _S: 'String',
          String: '_S',
          _BI: 'BigInt',
          BigInt: '_BI',
          _Y: 'Symbol',
          Symbol: '_Y',
          _A: 'Array',
          Array: '_A',
          _F: 'Function',
          Function: '_F',
          _P: 'Promise',
          Promise: '_P',
          _X: 'Proxy',
          Proxy: '_X',
          _J: 'JSON',
          JSON: '_J',
          _O: 'Object',
          Object: '_O',
          _R: 'Reflect',
          Reflect: '_R',
          _MP: 'Map',
          Map: '_MP',
          _ST: 'Set',
          Set: '_ST',
          _WMP: 'WeakMap',
          WeakMap: '_WMP',
          _WST: 'WeakSet',
          WeakSet: '_WST',
          _WREF: 'WeakRef',
          WeakRef: '_WREF',
          _RE: 'RegExp',
          RegExp: '_RE',
          _DT: 'Date',
          Date: '_DT',
          _AB: 'ArrayBuffer',
          ArrayBuffer: '_AB',
          _BUF: 'Buffer',
          Buffer: '_BUF',
          _U8A: 'Uint8Array',
          Uint8Array: '_U8A',
          _U8CA: 'Uint8ClampedArray',
          Uint8ClampedArray: '_U8CA',
          _U16A: 'Uint16Array',
          Uint16Array: '_U16A',
          _U32A: 'Uint32Array',
          Uint32Array: '_U32A',
          _I8A: 'Int8Array',
          Int8Array: '_I8A',
          _I16A: 'Int16Array',
          Int16Array: '_I16A',
          _I32A: 'Int32Array',
          Int32Array: '_I32A',
          _F32A: 'Float32Array',
          Float32Array: '_F32A',
          _F64A: 'Float64Array',
          Float64Array: '_F64A',
          _BU64A: 'BigUint64Array',
          BigUint64Array: '_BU64A',
          _BI64A: 'BigInt64Array',
          BigInt64Array: '_BI64A',
          _DV: 'DataView',
          DataView: '_DV',
          _EV: 'Event',
          Event: '_EV',
          _EVT: 'EventTarget',
          EventTarget: '_EVT',
          _URL: 'URL',
          URL: '_URL',
          _URLSRCHP: 'URLSearchParams',
          URLSearchParams: '_URLSRCHP',
          _decd_url: 'decodeURI',
          decodeURI: '_decd_url',
          _decd_url_com: 'decodeURIComponent',
          decodeURIComponent: '_decd_url_com',
          _encd_url: 'encodeURI',
          encodeURI: '_encd_url',
          _encd_url_com: 'encodeURIComponent',
          encodeURIComponent: '_encd_url_com',
          _ATOM: 'Atomics',
          Atomics: '_ATOM',
          _ER: 'Error',
          Error: '_ER',
          _AGGER: 'AggregateError',
          AggregateError: '_AGGER',
          _EVLER: 'EvalError',
          EvalError: '_EVLER',
          _REFER: 'ReferenceError',
          ReferenceError: '_REFER',
          _RNGER: 'RangeError',
          RangeError: '_RNGER',
          _STXER: 'SyntaxError',
          SyntaxError: '_STXER',
          _TYPER: 'TypeError',
          TypeError: '_TYPER',
          _URIER: 'URIError',
          URIError: '_URIER',
          _FREG: 'FinalizationRegistry',
          FinalizationRegistry: '_FREG',
          _ABRT_CTRL: 'AbortController',
          AbortController: '_ABRT_CTRL',
          _ABRT_SIG: 'AbortSignal',
          AbortSignal: '_ABRT_SIG',
          _MSG_CHAN: 'MessageChannel',
          MessageChannel: '_MSG_CHAN',
          _MSG_PORT: 'MessagePort',
          MessagePort: '_MSG_PORT',
          _MSGEV: 'MessageEvent',
          MessageEvent: '_MSGEV',
          _TXTENCD: 'TextEncoder',
          TextEncoder: '_TXTENCD',
          _TXTDECD: 'TextDecoder',
          TextDecoder: '_TXTDECD',
          _WASM: 'WebAssembly',
          WebAssembly: '_WASM',
          _MATH: 'Math',
          Math: '_MATH',
          _infi: 'Infinity',
          Infinity: '_infi',
          _nan: 'NaN',
          NaN: '_nan',
          _is_fin: 'isFinite',
          isFinite: '_is_fin',
          _is_nan: 'isNaN',
          isNaN: '_is_nan',
          _parse_f: 'parseFloat',
          parseFloat: '_parse_f',
          _parse_i: 'parseInt',
          parseInt: '_parse_i',
          _INTL: 'Intl',
          Intl: '_INTL',
          _PERF: 'performance',
          performance: '_PERF',
          _cnsl: 'console',
          console: '_cnsl',
          _cryp: 'crypto',
          crypto: '_cryp',
          _html_esc: 'escape',
          escape: '_html_esc',
          _html_unesc: 'unescape',
          unescape: '_html_unesc',
          _clr_intvl: 'clearInterval',
          clearInterval: '_clr_intvl',
          _set_intvl: 'setInterval',
          setInterval: '_set_intvl',
          _clr_tmout: '_clear_tmoutclearTimeout',
          _clear_tmoutclearTimeout: '_clr_tmout',
          _set_tmout: 'setTimeout',
          setTimeout: '_set_tmout',
          _q_micro_tsk: 'queueMicroTask',
          queueMicroTask: '_q_micro_tsk',
          _fs: 'require("fs")',
          'require("fs")': '_fs',
          _path: 'require("path")',
          'require("path")': '_path',
          _buf: 'require("buffer")',
          'require("buffer")': '_buf'
        }

LICENSE
=======
- ISC
